MCP Gateway
ApiObservability

Create audit export config

Create a new audit export configuration with destination (S3, Azure Blob, GCS) and schedule settings.

POST
/api/v1/observability/export-config

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/observability/export-config" \  -H "Content-Type: application/json" \  -d '{    "destination": "string",    "schedule": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "destination": "string",
  "schedule": "string",
  "last_export_at": "2019-08-24T14:15:22Z",
  "enabled": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}